apiMyReturnPolicy
QueryKey requiredThe store’s return policy (active, draft) and the platform baseline.
Arguments
None
Returns
Example
query ApiMyReturnPolicy {
apiMyReturnPolicy {
active {
createdAt
exchangeAllowed
extraExcludedCategoryCodes
freeReturnThresholdMillimes
id
organizationId
organizationName
publishedAt
restockingFeeBps
sellerExceptionAllowed
source
status
textAr
textFr
updatedAt
version
windowDays
}
baseline {
publishedAt
valueJson
version
}
draft {
createdAt
exchangeAllowed
extraExcludedCategoryCodes
freeReturnThresholdMillimes
id
organizationId
organizationName
publishedAt
restockingFeeBps
sellerExceptionAllowed
source
status
textAr
textFr
updatedAt
version
windowDays
}
history {
createdAt
exchangeAllowed
extraExcludedCategoryCodes
freeReturnThresholdMillimes
id
organizationId
organizationName
publishedAt
restockingFeeBps
sellerExceptionAllowed
source
status
textAr
textFr
updatedAt
version
windowDays
}
}
}curl -sS https://api.wamia.tn/connect/graphql \
-H 'content-type: application/json' \
-H 'x-api-key: wamia_…' \
-H 'user-agent: my-integration/1.0.0 (+https://shop.example.tn)' \
-H 'wamia-idempotency-key: 6f0e1a2b-…' \
--data '{"query":"query ApiMyReturnPolicy { apiMyReturnPolicy { active { createdAt exchangeAllowed extraExcludedCategoryCodes freeReturnThresholdMillimes id organizationId organizationName publishedAt restockingFeeBps sellerExceptionAllowed source status textAr textFr updatedAt version windowDays } baseline { publishedAt valueJson version } draft { createdAt exchangeAllowed extraExcludedCategoryCodes freeReturnThresholdMillimes id organizationId organizationName publishedAt restockingFeeBps sellerExceptionAllowed source status textAr textFr updatedAt version windowDays } history { createdAt exchangeAllowed extraExcludedCategoryCodes freeReturnThresholdMillimes id organizationId organizationName publishedAt restockingFeeBps sellerExceptionAllowed source status textAr textFr updatedAt version windowDays } } }"}'